Name: H5Aopen_idx
Signature:
  hid_t `H5Aopen_idx`(hid_t `loc_id`, unsigned int `idx` )
Purpose:
  Opens the attribute specified by its index.
Description:
  `H5Aopen_idx` opens an attribute which is attached to the object specified with `loc_id`. The location object may be either a group, dataset, or named datatype, all of which may have any sort of attribute.

  The attribute specified by the index, `idx`, indicates the attribute to access. The value of `idx` is a 0-based, non-negative integer.

  The attribute identifier returned from this function must be released with `H5Aclose` or resource leaks will develop.

Parameters:

hid_t `loc_id` | IN: Identifier of the group, dataset, or named datatype attribute to be attached to.
unsigned int `idx` | IN: Index of the attribute to open.

Returns:
  Returns attribute identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5aopen_idx_f

      SUBROUTINE h5aopen_idx_f(obj_id, index, attr_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: obj_id    ! Object identifier
        INTEGER, INTENT(IN) :: index            ! Attribute index
        INTEGER(HID_T), INTENT(OUT) :: attr_id  ! Attribute identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code:
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5aopen_idx_f